﻿@model Factoring.Web.Funcionalidad.Empresa.RegistraEmpresaViewModel

@{
    ViewBag.Title = "Edita";
}

<h2>Edita</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>EmpresaViewModel</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.Id)

        <div class="form-group">
            @Html.LabelFor(model => model.Ruc, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @*@Html.EditorFor(model => model.Ruc, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Ruc, "", new { @class = "text-danger" })*@
                @Html.ValueFor(model => model.Ruc)
                @Html.HiddenFor(model => model.Ruc)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.RazonSocial, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.RazonSocial, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.RazonSocial, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Direccion, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Direccion, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Direccion, "", new { @class = "text-danger" })
            </div>
        </div>

        <div id="empresa-ubigeo">
            <div class="form-group">
                @Html.LabelFor(model => model.Departamento, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-5">
                    @Html.HiddenFor(model => model.Departamento, new { @id = "departamento_nombre", @class = "departamento" })
                    @Html.DropDownList("departamento", Model.Departamentos,
                        new { @id = "empresa_departamento", @class = "form-control departamento" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.Provincia, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-5">
                    @Html.HiddenFor(model => model.Provincia, new { @id = "provincia_nombre", @class = "provincia" })
                    @Html.DropDownList("provincia", Model.Provincias,
                        new { @id = "empresa_provincia", @class = "form-control provincia" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.Distrito, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-5">
                    @Html.HiddenFor(model => model.Distrito, new { @id = "distrito_nombre", @class = "distrito" })
                    @Html.DropDownList("distrito", Model.Distritos,
                        new { @id = "empresa_distrito", @class = "form-control distrito" })
                </div>
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Rubro, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Rubro, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Rubro, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Usuario, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @*@Html.EditorFor(model => model.Usuario, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Usuario, "", new { @class = "text-danger" })*@
                @Html.ValueFor(model => model.Usuario)
                @Html.HiddenFor(model => model.Usuario)
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Guardar" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Regresa a Lista", "Lista", "Empresa", new { Usuario = @Model.Usuario }, new { })
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    @Scripts.Render("~/bundles/ubigeoJS")
}
